using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class OperacionFormalizadaLogic
    {
        #region Constructor

        private OperacionFormalizadaDataAccess OperacionFormalizadaDA;

        public OperacionFormalizadaLogic()
        {
            OperacionFormalizadaDA = new OperacionFormalizadaDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<OperacionFormalizada> ListarOperacionFormalizada()
        {
            List<OperacionFormalizada> results = null;
            try
            {

                results = OperacionFormalizadaDA.ListadoOperacionFormalizada();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
